=== debian/changelog ===
john (1.7.8-1) unstable; urgency=low

  * New upstream release (Fix: CVE-2011-2483, LP: #805258)
  * Fix john's manpage for debian file locations (Closes: #592401)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 04 Jul 2011 15:49:59 -0500

john (1.7.7-2) unstable; urgency=low

  * Forcing the 'generic' target for hurd
  * Adding new escaping rules in order to solve FTBFS in armel, mips, 
    mipsel, and s390 (all using the 'generic' target)
  * Updating copyright dates to 2011
  * Removing unused patch: single-have_words-fix-1.diff

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 15 Jun 2011 23:23:04 -0500

john (1.7.7-1) unstable; urgency=low

  * New upstream release (Closes: #585464, #563698, LP: #586544)
  * Standards-Version bumped to 3.9.2 (no changes)
  * Fully reworked debian/rules (Closes: #583367)
    + New targets: *-kfreebsd, ia64, ppc*
    + Generate optimized binaries (Closes: #629517)
      + 64bits (amd64, kfreebsd-amd64)
      + 32bits + sse2 (i386, kfreebsd-i386)
    + Use CPU fallbacks (i386, freebsd-i386): sse2 → mmx → any
      Delete debian/extra/john → no longer needed with CPU fallbacks
  * Remove third-party patches (??-add_*.patches), making easier to 
    test new rules. Patches can be re-added later as needed.
  * Remove some patches. Testing if they are still needed.
    Some regresions are expectable: #420980, #460697, #415738.
    Patches will be re-added as needed.
  * Fix a spelling-error-in-manpage for john.8
  * Update debian/watch in order to exclude jumbo patches.

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 07 Jun 2011 08:09:28 -0500

john (1.7.3.1-1) unstable; urgency=low

  [David Paleino]
  * New upstream release
  * debian/man/john.8:
    - updated the locations of john's session files (Closes: #360591)
    - updated descriptions of --rules and --test (Closes: #485422)
  * debian/extra/:
    - john-mailer.conf and cronjob extended to allow per-group password
      cracking -- thanks to Fabian Zeindl (LP: #194036)
  * debian/patches/:
    - 01-add_NTLM-MD4.patch,
      02-add_MS-Credential-Cache.patch,
      03-add_NetLM-NetNTLM.patch,
      05-mipsel.patch,
      07-update_FAQ.patch refreshed.
    - 08-add_BFEgg.patch,
      10-add_DOMINOSEC.patch,
      11-add_lotus5.patch,
      12-add_raw-md5.patch,
      13-add_raw-sha1.patch,
      14-add_IPB2.patch,
      16-add_NSLDAP.patch,
      17-add_OPENLDAPS.patch,
      18-add_HDAA.patch added (from "Jumbo Patch" available on upstream's
      homepage).
    - series updated
    - these will be the only patches added, in case of problems in future
      some might be removed as well (Closes: #220005)
  * debian/docs updated
  * debian/copyright updated
  * debian/watch updated
  * debian/README.wordlists: typo fixed (Closes: #512158)
  * debian/control:
    - moved to git, updated Vcs-* fields
    - updated Standards-Version to 3.8.0
      + debian/README.source added
    - DMUA set
  * debian/man/john-mmx.8 added (Closes: #132223)

  [Ruben Molina]
  * New Maintainer
  * Remove David Paleino from Uploaders as requested (Thanks for all!)
  * Remove DM-Upload-Allowed bit
  * Bump Standards-Version to 3.8.3 (no changes)
  * Add headers to patches
  * Add versioned references to licences on debian/copyright
  * Improve debian/watch
  * Add exec-stack.patch from Ubuntu to turn off executable stacks when 
    assembling (thanks Kees). Closes: #543451
  * Avoid creation of /var/run/john (must be created dynamically, and is not
    in use on current versions anyway). Fixed maintainer scripts according.
    (Fix dir-or-file-in-var-run)

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 17 Oct 2009 12:48:20 -0500

john (1.7.2-3) unstable; urgency=low

  * Merged debian/changelog from old experimental version (1.7-1 and
    1.7-2).
  * debian/patches/:
    - 06-fix_paths.patch updated (Closes: #484109).
    - 07-update_FAQ.patch added: point users to README.wordlists.
    - added support for Microsoft Windows NT/2000/XP/2003 NTLM (MD4) hash
      (patch by Alain Espinosa <alainesp at gmail dot com>)
    - added support for Windows 2000/XP/2003 credentials cache hash (patch
      by Alain Espinosa <alainesp at gmail dot com>)
    - added support for LM/NTLMv1 challenge/response (ported from 1.7.0.2)
      (patch by by JoMo-Kun <jmk at foofus dot net>)
  * debian/control:
    - set "John Packaging Team" as the Maintainer
    - moved myself to Uploaders
    - debhelper dependency bumped to >= 6.0.7~ (dh_lintian)
    - added Build-Depends on libssl-dev
  * debian/man/john.8 fixed (Closes: #482886)
  * debian/rules updated:
    - binary-common target added, binary-{arch,indep} depending on it
      (Closes: #477450)
    - conditionally unset OPT_NORMAL (i.e. remove -funroll-loops) on arm
      machines
  * debian/compat bumped to 6
  * debian/copyright updated:
    - included files created by patches

 -- David Paleino <d.paleino@gmail.com>  Mon, 02 Jun 2008 17:21:00 +0200

john (1.7.2-2) unstable; urgency=low

  * Fixing undeclared conflict between john-data and previous versions
    of john (Closes: #477974)

 -- David Paleino <d.paleino@gmail.com>  Sat, 26 Apr 2008 09:48:09 +0200

john (1.7.2-1) unstable; urgency=low

  * Package adopted (Closes: #461992)
  * New upstream release (Closes: #385858, #353151, #353108, #127920)
  * debian/control:
    - added Vcs-* fields
    - updated Maintainer field
    - dropped dependency on dpkg
    - updated dependency on debhelper (>= 5)
    - added dependency on quilt
    - added an Arch: all package -- john-data
  * debian/watch added
  * debian/preinst - now invokes dpkg-query
  * debian/man/john.8 - fixed errors from man
  * debian/rules:
    - refactored to use debhelper
    - refactored to use quilt
  * debian/README removed (no more applicable):
    - also fixes dead symlink error (Closes: #354634, #372154)
  * debian/john-data.install added:
    - also includes alnum.chr in /usr/share/john/ (Closes: #385856)
  * debian/patches/:

