## john 1.7.8-1maemo0

=== debian/changelog ===
john (1.7.8-1maemo0) unstable; urgency=low

  * Give it a first try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 11 Nov 2011 22:26:23 +0100
