=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ruben Molina <rmolina@udea.edu.co>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 7.0.50~) | debhelper7 (>= 7.4.11-maemo6)
 Standards-Version: 3.9.2
 Homepage: http://www.openwall.com/john/
