## john 1.7.8-1maemo1

=== debian/changelog ===
john (1.7.8-1maemo1) unstable; urgency=low

  * Keep it in one package (removed john-data package creation) ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 11 Nov 2011 23:17:52 +0100
