=== debian/control ===
--- 
+++ 
@@ -20,17 +20,3 @@
  various Unix flavors, supported out of the box are Kerberos AFS and
  Windows NT/2000/XP/2003 LM hashes, plus several more with contributed
  patches.
-
-
-Package: john-data
-Architecture: all
-Enhances: john
-Depends: ${misc:Depends}
-Breaks: john (<= 1.7.2-1)
-Description: active password cracking tool - character sets
- John the Ripper is a tool designed to help systems administrators to
- find weak (easy to guess or crack through brute force) passwords, and
- even automatically mail users warning them about it, if it is desired.
- .
- This package contains architecture-independent character sets usable by
- john.
