## john 1.7.8-1maemo2

=== debian/changelog ===
john (1.7.8-1maemo2) unstable; urgency=low

  * Fixing one package build ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 11 Nov 2011 23:35:02 +0100
