=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 Package: john
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- john-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: wordlist
 Description: active password cracking tool
  John the Ripper is a tool designed to help systems administrators to
