=== debian/changelog ===
john (1.7.8-1maemo4) unstable; urgency=low

  * Added lots of contributed patches adding support for over 40 of
    additional hash and cipher types (including popular ones such as
    NTLM, raw MD5, etc.), as well as some optimizations and features
    a.k.a The jumbo patch for 1.7.8, revision 8 ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 12 Nov 2011 01:46:44 +0100

john (1.7.8-1maemo3) unstable; urgency=low

  * Fixed system wide configuration ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 12 Nov 2011 01:26:50 +0100
