=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -DJOHN_SYSTEMWIDE
+
 # See src/params.h
 
 ifeq ($(OS),kfreebsd)
@@ -25,6 +26,8 @@
 # arm FTBFS with -funroll-loops. Please see #476460
 ifneq ($(CPU),arm)
 	CFLAGS += -funroll-loops
+	CFLAGS += -DJOHN_SYSTEMWIDE_EXEC=\"/usr/lib/john\"
+	CFLAGS += -DCFG_FULL_NAME=\"/etc/john/john.conf\"
 endif
 
 # selecting compilation target
