## john 1.7.8-1maemo5

=== debian/changelog ===
john (1.7.8-1maemo5) unstable; urgency=low

  * Fixed and packaged properly 'system wide' configuration (tired of
    this f*****g message 'fopen: john.ini: No such file or directory')
    ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 12 Nov 2011 02:14:55 +0100
