## john 1.7.8-1maemo6

=== debian/changelog ===
john (1.7.8-1maemo6) unstable; urgency=low

  * Revert back to package without jumbo rev 8 (didn't find how to
    properly integrate this without breaking 'system wide'
    configuration) ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 12 Nov 2011 04:22:22 +0100
