=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS += -DJOHN_SYSTEMWIDE
+CFLAGS += -DJOHN_SYSTEMWIDE=1
 
 # See src/params.h
